---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 05
    LastMadeUpDate: 31/05/2018
    NextDueDate: ~
  CompanyCategory: Private Limited Company
  CompanyName: M J D WELDER LTD
  CompanyNumber: 08073982
  CompanyStatus: Dissolved
  CountryOfOrigin: United Kingdom
  IncorporationDate: 17/05/2012
  DissolutionDate: 04/05/2021
  PreviousNames:
    - CONDate: 24/05/2016
      CompanyName: MJD FABRICATION AND WELDING LTD
  RegAddress:
    AddressLine1: 11 ELIOT DRIVE
    PostTown: MARLOW
    County: BUCKS
    Postcode: SL7 1TT
  Returns:
    LastMadeUpDate: ~
    NextDueDate: ~
  SICCodes:
    SicText:
      - '43999 - Other specialised construction activities not elsewhere classified'
